/* mtch.h
   Header file for globbing routines, originally a part of GNU bash */

#ifndef MTCH_H
#define MTCH_H

/* Bits set in the FLAGS argument to `fnmatch'.  */
#define	FNM_PATHNAME	(1 << 0)/* No wildcard can ever match `/'.  */
#define	FNM_NOESCAPE	(1 << 1)/* Backslashes don't quote special chars.  */
#define	FNM_PERIOD	(1 << 2)/* Leading `.' is matched only explicitly.  */
#define	__FNM_FLAGS	(FNM_PATHNAME|FNM_NOESCAPE|FNM_PERIOD)

/* Value returned by `fnmatch' if STRING does not match PATTERN.  */
#define	FNM_NOMATCH	1

int fnmatch(char *, char *, int);
int has_wildcards(char *);

#endif /* MTCH_H */
