/* recr.h
   Recursive retrieving header file */

#ifndef RECR_H
#define RECR_H

/* Default robots filename */
#define ROBOTS_FILENAME "robots.txt"

uerr_t recursive_retrieve(char **, char *, int, int, char *);
#ifdef USE_ROBOTS
uerr_t retrieve_robots(char *, char *);
char *robots_url(char *, char *);
char **parse_robots(char *);
int tried_robots(char *);
int robots_match(char *, char **);
#endif /* USE_ROBOTS */

#endif /* RECR_H */
