/* html.h
   Header file for work with HTML buffers */

#ifndef HTML_H
#define HTML_H

/* Structure of a parser state */
typedef struct {
   int in_tag, idlen, in_quote, tg, md;
   char *tag, *mod;
   char *base;
   char *name;
} state_t;

typedef struct {
   char *tag;
   char *mod;
} tag_t;


/* Function declarations */
int idmatch(tag_t *, char *, char *);
char *htmlfindurl(char *, int, int *, char *);
state_t *getstate(char *);
char *html_base(char *);
void init_state(state_t *, char *);

#endif /* HTML_H */
